OSDN Git Service

JDK6 to JavaSE8
authorOlyutorskii <olyutorskii@users.osdn.me>
Thu, 6 Jun 2019 02:41:25 +0000 (11:41 +0900)
committerOlyutorskii <olyutorskii@users.osdn.me>
Thu, 6 Jun 2019 02:41:25 +0000 (11:41 +0900)
CHANGELOG.txt
pom.xml

index 66578ef..b67ca07 100644 (file)
@@ -5,6 +5,7 @@ Pmd2XML 変更履歴
 
 
 X.XXX.X (20XX-XX-XX)
+    ・必須環境をJavaSE8に引き上げ。
     ・デフォルトロケールによる出力揺らぎを解消。
     ・プロセス終了コードの変更。
     ・Mercurial(1.201.5-SNAPSHOT)からGit(1.201.105-SNAPSHOT)へSCMを移行。
diff --git a/pom.xml b/pom.xml
index 485926c..2b030e6 100644 (file)
--- a/pom.xml
+++ b/pom.xml
@@ -76,8 +76,8 @@
     <distributionManagement/>
 
     <properties>
-        <maven.compiler.source>1.6</maven.compiler.source>
-        <maven.compiler.target>1.6</maven.compiler.target>
+        <maven.compiler.source>1.8</maven.compiler.source>
+        <maven.compiler.target>1.8</maven.compiler.target>
 
         <maven.compiler.showDeprecation>true</maven.compiler.showDeprecation>
         <maven.compiler.showWarnings>true</maven.compiler.showWarnings>
             <plugin>
                 <groupId>org.apache.maven.plugins</groupId>
                 <artifactId>maven-enforcer-plugin</artifactId>
-                <version>1.3.1</version>
-                <configuration>
-                    <rules>
-                        <requireMavenVersion>
-                            <version>[3.0,)</version>
-                        </requireMavenVersion>
-                        <requireJavaVersion>
-                            <version>[1.6,)</version>
-                        </requireJavaVersion>
-                    </rules>
-                </configuration>
+                <version>3.0.0-M2</version>
+                <executions>
+                    <execution>
+                        <id>enforce-versions</id>
+                        <goals>
+                            <goal>enforce</goal>
+                        </goals>
+                        <configuration>
+                            <rules>
+                                <requireMavenVersion>
+                                    <version>[3.3.9,)</version>
+                                </requireMavenVersion>
+                                <requireJavaVersion>
+                                    <version>[1.8,)</version>
+                                </requireJavaVersion>
+                            </rules>
+                        </configuration>
+                    </execution>
+                </executions>
             </plugin>
 
             <plugin>
             <plugin>
                 <groupId>org.apache.maven.plugins</groupId>
                 <artifactId>maven-compiler-plugin</artifactId>
-                <version>3.1</version>
+                <version>3.8.1</version>
                 <configuration>
-                    <source>1.6</source>  <!-- for NetBeans IDE -->
-                    <target>1.6</target>
-                    <showDeprecation>true</showDeprecation>
-                    <showWarnings>true</showWarnings>
+                    <source>1.8</source>  <!-- for NetBeans IDE -->
+                    <target>1.8</target>
                     <compilerArguments>
                         <Xlint/>
                     </compilerArguments>
+                    <showWarnings>true</showWarnings>
+                    <showDeprecation>true</showDeprecation>
                 </configuration>
             </plugin>
 
             <plugin>
                 <groupId>org.codehaus.mojo</groupId>
                 <artifactId>cobertura-maven-plugin</artifactId>
-                <version>2.5.2</version>
+                <version>2.7</version>
                 <configuration>
                     <encoding>${project.build.sourceEncoding}</encoding>
                     <formats>
                 <artifactId>maven-pmd-plugin</artifactId>
                 <version>3.0.1</version>
                 <configuration>
-                    <targetJdk>${maven.compiler.target}</targetJdk>
+                    <!--targetJdk>${maven.compiler.target}</targetJdk-->
                     <rulesets>
                         <ruleset>${project.mainconf}/pmdrules.xml</ruleset>
                     </rulesets>
             <plugin>
                 <groupId>org.codehaus.mojo</groupId>
                 <artifactId>cobertura-maven-plugin</artifactId>
-                <version>2.5.2</version>
+                <version>2.7</version>
                 <configuration>
                     <encoding>${project.build.sourceEncoding}</encoding>
                     <formats>
                 <version>3.0.1</version>
                 <configuration>
                     <skip>false</skip>
-                    <targetJdk>${maven.compiler.target}</targetJdk>
+                    <!--targetJdk>${maven.compiler.target}</targetJdk-->
                     <rulesets>
                         <ruleset>${project.mainconf}/pmdrules.xml</ruleset>
                     </rulesets>